Loading...
Searching...
No Matches
pstech.pstsdk.target.TargetPose Class Reference

Estimated tracking target pose. More...

Inheritance diagram for pstech.pstsdk.target.TargetPose:
[legend]
Collaboration diagram for pstech.pstsdk.target.TargetPose:
[legend]

## Public Member Functions
| __init__ (self, c_pose)
| __eq__ (self, other)
Public Member Functions inherited from pstech.pstsdk.target.Target
| __init__ (self, c_target)
| __eq__ (self, other)

## Public Attributes
list | pose = c_pose.pose_matrix[:]
| Tracking target pose as a flattened row-major 4x4 transformation matrix.
list | matched_points = []
| point.Point list representing detected 3D markers matched to this tracking target.
| matching_error = c_pose.matching_error
| RMSE of model points and measured ones.
Public Attributes inherited from pstech.pstsdk.target.Target
| name = c_target.name.decode("UTF-8")
| User given name of the tracking target as listed in the PST-Client software.
| uuid = c_target.uuid.decode("UTF-8")
| Unique identifier, automatically assigned to the tracking target.
| id = c_target.id
| User provided tracking id assigned to the tacking target as listed in the PST-Client software.

## Detailed Description

Estimated tracking target pose.

This class contains the estimated pose information and matched points of a tracking target. The pose is provided as a row-major 4x4 transformation matrix describing the pose of the tracking target in the coordinate system defined in the PST-Client application (see the 'Reference coordinate system' Section in the PST Manual). The matched points are provided as a list of 3D data points that have been detected by the tracker and are estimated be part of the Target.

See also
  target.Target
  point.Point
  trackerdata.TrackerData

## Constructor & Destructor Documentation

## ◆ __init__()

pstech.pstsdk.target.TargetPose.__init__ | ( |  | self,
|  |  | c_pose )

## Member Function Documentation

## ◆ __eq__()

pstech.pstsdk.target.TargetPose.__eq__ | ( |  | self,
|  |  | other )

## Member Data Documentation

## ◆ matched_points

list pstech.pstsdk.target.TargetPose.matched_points = []

point.Point list representing detected 3D markers matched to this tracking target.

## ◆ matching_error

pstech.pstsdk.target.TargetPose.matching_error = c_pose.matching_error

RMSE of model points and measured ones.

## ◆ pose

list pstech.pstsdk.target.TargetPose.pose = c_pose.pose_matrix[:]

Tracking target pose as a flattened row-major 4x4 transformation matrix.

The documentation for this class was generated from the following file:

- pstech/pstsdk/target.py